package com.fs.course.param;

import lombok.Data;

import javax.validation.constraints.DecimalMin;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.List;

@Data
public class BatchCompanyRedPackageParam {

    @NotNull(message = "营期ID不能为空")
    private Long periodId;

    @NotEmpty(message = "公司ID不能为空")
    private List<Long> companyIds;

    @NotNull(message = "红包金额不能为空")
    @DecimalMin(value = "0.1", message = "红包金额必须大于0.1")
    private BigDecimal redPacketMoney;
}
