package com.fs.store.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 微信用户和销售关系对象 fs_user_company_user
 *
 * @author fs
 * @date 2025-05-09
 */
@Data
public class FsUserCompanyUser {

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 用户id（关联fs_user表user_id） */
    @Excel(name = "用户id", readConverterExp = "关=联fs_user表user_id")
    private Long userId;

    /** 销售id */
    @Excel(name = "销售id")
    private Long companyUserId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 是否重粉，1-是；0-否 */
    @Excel(name = "是否重粉，1-是；0-否")
    private Integer isRepeatFans;

    @TableField(exist = false)
    @ApiModelProperty(value = "重粉所属销售，多个用逗号隔开")
    private String repeatCompanyUserName;

    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 企微用户ID
     */
    private Long qwUserId;
    /**
     * 企微外部联系人ID
     */
    private Long qwExternalContactId;
    /**
     * 企微主体ID
     */
    private Long qwCompanyId;
    /**
     * 状态 0小黑屋 1正常 2拉黑
     */
    private Integer status;
    /**
     * 备注
     */
    private String remark;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
